import { CustomStyling, UserData } from '../types/CustomStyling';
export interface ConvoStackState {
    graphqlUrl: string;
    websocketUrl: string;
    activeConversationId: string | null;
    context: {
        [key: string]: string;
    } | null;
    agent: string | null;
    isConversationWindowVisible: boolean;
    isConversationListVisible: boolean;
    isCreatingNewConversation: boolean;
    styling: CustomStyling | null;
    userData: UserData | undefined;
}
export declare const setGraphqlUrl: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setGraphqlUrl">, setWebsocketlUrl: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setWebsocketlUrl">, setConversationId: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setConversationId">, setContext: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setContext">, setShowConversationWindow: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setShowConversationWindow">, setisConversationListVisible: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setisConversationListVisible">, setAgent: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setAgent">, setIsCreatingNewConversation: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setIsCreatingNewConversation">, setStyling: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setStyling">, setUserData: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setUserData">;
declare const _default: import("redux").Reducer<ConvoStackState>;
export default _default;
