declare const useConvoStack: () => {
    graphqlUrl: string;
    websocketUrl: string;
    agent: string | null;
    context: {
        [key: string]: string;
    } | null;
    styling: import("../types/CustomStyling").CustomStyling | null;
    userData: import("../types/CustomStyling").UserData | undefined;
    activeConversationId: string | null;
    isConversationWindowVisible: boolean;
    isConversationListVisible: boolean;
    isCreatingNewConversation: boolean;
    toggleWidget: (arg: boolean) => void;
    openConversation: (conversationId: string | null, agent?: string | null, context?: {
        [key: string]: string;
    } | undefined) => void;
    setActiveConversationId: (conversationId: string | null, context?: {
        [key: string]: string;
    } | undefined) => void;
    openConversationList: () => void;
    updateContext: (conversationId: string, context: {
        [key: string]: string;
    }) => Promise<void>;
};
export default useConvoStack;
